<% i18n_scope = "decidim.system.organizations.omniauth_settings" %>

<div class="card">
  <h5><%= provider_name(provider) %></h5>

  <div class="card-section">
    <%= f.check_box(
          "omniauth_settings_#{provider}_enabled",
          label: t("enabled", scope: i18n_scope)
        ) %>

    <% Rails.application.secrets.dig(:omniauth, provider.to_sym).keys.select { |k| k != :enabled }.each do |setting| %>
      <%= f.text_field("omniauth_settings_#{provider}_#{setting}", label: I18n.t(
        ".#{setting}",
        scope: [:icon, :icon_path].include?(setting) ? i18n_scope : "#{i18n_scope}.#{provider}"
      )) %>
    <% end %>
  </div>
</div>
